Modify

Opened 15 months ago

Closed 15 months ago

Last modified 15 months ago

#16078 closed defect (fixed)

NPE at PurgeCommand.topoSort when try to undo "Cut corners" in "CAD tools" plugin

Reported by: Alexander-II Owned by: team
Priority: normal Milestone: 18.03
Component: Core Version: latest
Keywords: template_report purge Cc:

Description

What steps will reproduce the problem?

  1. Do something (add a node) to get undo list not empty
  2. Select polygon
  3. Open CAD tools dialog
  4. Press "'Cut' corners"
  5. Close CAD tools dialog
  6. Press "Undo"

Please provide any additional information below. Attach a screenshot if possible.

My suggestion is that CAD tools do not add entries to the undo list. Which leads to this exception when you try to undo action which is not on the list.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-03-10 17:47:43 +0100 (Sat, 10 Mar 2018)
Revision:13512
Redirecting:to URL 'https://josm.openstreetmap.de/svn/trunk':
Build-Date:2018-03-11 02:41:50
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13512 ru) Mac OS X 10.13.3
OS Build number: Mac OS X 10.13.3 (17D102)
Memory Usage: 330 MB / 2560 MB (91 MB allocated, but free)
Java version: 9.0.4+11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 69677504 1280x800
Maximum Screen Size: 1280x800
Dataset consistency test: No problems found

Plugins:
+ CADTools (1007)
+ Create_grid_of_ways (33856)
+ FastDraw (33731)
+ PicLayer (34021)
+ buildings_tools (34040)
+ imagery_offset_db (33774)
+ reltoolbox (33708)
+ reverter (34036)
+ splinex (33844)
+ tageditor (33806)
+ tagging-preset-tester (33898)
+ todo (30303)
+ turnlanes-tagging (260)
+ undelete (33980)
+ utilsplugin2 (33991)
+ wikipedia (34079)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/AdvertisingPreset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Animal_facilities&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Bus_lanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Communication_Towers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historical_Objects&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/public_bookcase&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Simple_Indoor_Tagging&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Payment_Method_RU&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Drinks&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/contact(socialnetworks_IMs)&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Manholes&zip=1
+ https://raw.githubusercontent.com/ruosm-presets/literan-moscow/master/russian_shops.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/StreetCabinet&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/RU-SubwayEntranceLabeling&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1

Validator rules:
+ https://raw.githubusercontent.com/zetx16/Josm-validator/master/ru-housenumber.validator.mapcss
+ http://www.openrailwaymap.org/validator/openrailwaymap.validator.mapcss
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ https://raw.githubusercontent.com/zetx16/Josm-HnumbValidator/master/ru-housenumber.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/MissingWeekdays&zip=1

Last errors/warnings:
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: JOSM ожидал найти примитив [точка -45351] в наборе данных, но его там нет. Пожалуйста, сообщите об этом на https://josm.openstreetmap.de. Это не критическая ошибка, она не должна помешать вам продолжить работу.
- E: java.lang.Exception
- E: Handled by bug report queue: java.lang.NullPointerException


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (21) of main
java.lang.NullPointerException
	at org.openstreetmap.josm.command.PurgeCommand.topoSort(PurgeCommand.java:224)
	at org.openstreetmap.josm.command.AddPrimitivesCommand.undoCommand(AddPrimitivesCommand.java:128)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:117)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:100)
	at org.openstreetmap.josm.actions.UndoAction.actionPerformed(UndoAction.java:39)
	at java.desktop/javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at java.desktop/javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at java.desktop/javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
	at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.desktop/java.awt.Component.processMouseEvent(Unknown Source)
	at java.desktop/javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.desktop/java.awt.Component.processEvent(Unknown Source)
	at java.desktop/java.awt.Container.processEvent(Unknown Source)
	at java.desktop/java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Component.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Component.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.EventQueue.access$500(Unknown Source)
	at java.desktop/java.awt.EventQueue$3.run(Unknown Source)
	at java.desktop/java.awt.EventQueue$3.run(Unknown Source)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.desktop/java.awt.EventQueue$4.run(Unknown Source)
	at java.desktop/java.awt.EventQueue$4.run(Unknown Source)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.desktop/java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.run(Unknown Source)

=== RUNNING THREADS ===
Thread: TMS-downloader-153 (884) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: RemoteControl HTTPS Server (45) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/sun.security.ssl.SSLServerSocketImpl.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpsServer.run(RemoteControlHttpsServer.java:404)

Thread: TMS-downloader-149 (880) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Timer-3 (138) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Unknown Source)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: TMS-downloader-152 (883) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-147 (878) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: styled-map-renderer-14 (814) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: Common-Cleaner (9) of InnocuousThreadGroup
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/jdk.internal.ref.CleanerImpl.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)
java.base@9.0.4/jdk.internal.misc.InnocuousThread.run(Unknown Source)

Thread: Java2D Queue Flusher (16) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.desktop@9.0.4/sun.java2d.opengl.OGLRenderQueue$QueueFlusher.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Map Status Collector (57) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:433)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: RemoteControl HTTPS Server (44) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/sun.security.ssl.SSLServerSocketImpl.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpsServer.run(RemoteControlHttpsServer.java:404)

Thread: AWT-EventQueue-0 (21) of main
Stacktrace see above.

Thread: TMS-downloader-155 (886) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Weak reference cleaner (25) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$319/938199512.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-168 (899) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Reference Handler (2) of system
java.base@9.0.4/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@9.0.4/java.lang.ref.Reference.processPendingReferences(Unknown Source)
java.base@9.0.4/java.lang.ref.Reference.access$000(Unknown Source)
java.base@9.0.4/java.lang.ref.Reference$ReferenceHandler.run(Unknown Source)

Thread: TMS-downloader-157 (888) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-159 (890) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-154 (885) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: main-worker-0 (53) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: ForkJoinPool.commonPool-worker-2 (811) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: TMS-downloader-162 (893) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-151 (882) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-148 (879) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-145 (876) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Timer-1 (46) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: Signal Dispatcher (4) of system

Thread: styled-map-renderer-18 (926) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: styled-map-renderer-13 (813) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: TimerQueue (23) of system
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.DelayQueue.take(Unknown Source)
java.desktop@9.0.4/javax.swing.TimerQueue.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-150 (881) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Java2D Disposer (17) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.desktop@9.0.4/sun.java2d.Disposer.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: AppKit Thread (14) of system

Thread: Finalizer (3) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.Finalizer$FinalizerThread.run(Unknown Source)

Thread: File Watcher (12) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.take(Unknown Source)
java.base@9.0.4/sun.nio.fs.AbstractWatchService.take(Unknown Source)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:107)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$34/1412925683.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: message-notifier-0 (49) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-144 (875) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-164 (895) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-166 (897) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-156 (887) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-165 (896) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-163 (894) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: AWT-Shutdown (19) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Unknown Source)
java.desktop@9.0.4/sun.awt.AWTAutoShutdown.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: DestroyJavaVM (50) of main

Thread: Timer-2 (56) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Unknown Source)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: RemoteControl HTTP Server (43) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: styled-map-renderer-8 (692) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: TMS-downloader-158 (889) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-160 (891) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: ForkJoinPool.commonPool-worker-6 (874) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: TMS-downloader-161 (892) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: TMS-downloader-146 (877) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: RemoteControl HTTP Server (42) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: Timer-0 (38) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: TMS-downloader-167 (898) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:84)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.poll(HostLimitQueue.java:30)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: image-fetcher-0 (32) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: ForkJoinPool.commonPool-worker-5 (873) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: JCS-ElementEventQueue-Thread-1 (37) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Attachments (0)

Change History (5)

comment:1 Changed 15 months ago by Don-vip

Summary: Exception when try to undo "Cut corners" in "CAD tools" pluginNPE at PurgeCommand.topoSort when try to undo "Cut corners" in "CAD tools" plugin

comment:2 Changed 15 months ago by Don-vip

Component: Plugin cadtoolsCore
Keywords: purge added
Owner: changed from Anamaria.Rotariu to team

comment:3 Changed 15 months ago by Don-vip

Milestone: 18.03

comment:4 Changed 15 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 13513/josm:

fix #16078 - avoid NPE in PurgeCommand with null relations

comment:5 Changed 15 months ago by Alexander-II

It looks like the bug is still not fixed.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-03-11 22:35:49 +0100 (Sun, 11 Mar 2018)
Revision:13518
Redirecting:to URL 'https://josm.openstreetmap.de/svn/trunk':
Build-Date:2018-03-12 02:32:25
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13518 en) Mac OS X 10.13.3
OS Build number: Mac OS X 10.13.3 (17D102)
Memory Usage: 315 MB / 2560 MB (62 MB allocated, but free)
Java version: 9.0.4+11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 69677504 1280x800
Maximum Screen Size: 1280x800
Dataset consistency test: No problems found

Plugins:
+ CADTools (1007)
+ Create_grid_of_ways (33856)
+ FastDraw (33731)
+ PicLayer (34021)
+ buildings_tools (34040)
+ imagery_offset_db (33774)
+ reltoolbox (33708)
+ reverter (34036)
+ splinex (33844)
+ tageditor (33806)
+ tagging-preset-tester (33898)
+ todo (30303)
+ turnlanes-tagging (260)
+ undelete (33980)
+ utilsplugin2 (33991)
+ wikipedia (34079)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/AdvertisingPreset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Animal_facilities&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Bus_lanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Communication_Towers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historical_Objects&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/public_bookcase&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Simple_Indoor_Tagging&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Payment_Method_RU&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Drinks&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/contact(socialnetworks_IMs)&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Manholes&zip=1
+ https://raw.githubusercontent.com/ruosm-presets/literan-moscow/master/russian_shops.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/StreetCabinet&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/RU-SubwayEntranceLabeling&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1

Validator rules:
+ https://raw.githubusercontent.com/zetx16/Josm-validator/master/ru-housenumber.validator.mapcss
+ http://www.openrailwaymap.org/validator/openrailwaymap.validator.mapcss
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ https://raw.githubusercontent.com/zetx16/Josm-HnumbValidator/master/ru-housenumber.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/MissingWeekdays&zip=1

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.
- W: JOSM expected to find primitive [node -39009] in dataset but it is not there. Please report this at https://josm.openstreetmap.de. This is not a critical error, it should be safe to continue in your work.
- E: java.lang.Exception
- E: Handled by bug report queue: java.lang.AssertionError: Data consistency problem - way with missing node detected


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (22) of main
java.lang.AssertionError: Data consistency problem - way with missing node detected
	at org.openstreetmap.josm.data.osm.Way.load(Way.java:297)
	at org.openstreetmap.josm.command.Command.undoCommand(Command.java:171)
	at org.openstreetmap.josm.command.SequenceCommand.undoCommands(SequenceCommand.java:101)
	at org.openstreetmap.josm.command.SequenceCommand.undoCommand(SequenceCommand.java:111)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:117)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:100)
	at org.openstreetmap.josm.actions.UndoAction.actionPerformed(UndoAction.java:39)
	at java.desktop/javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at java.desktop/javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at java.desktop/javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
	at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.desktop/java.awt.Component.processMouseEvent(Unknown Source)
	at java.desktop/javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.desktop/java.awt.Component.processEvent(Unknown Source)
	at java.desktop/java.awt.Container.processEvent(Unknown Source)
	at java.desktop/java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Component.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.Component.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.EventQueue.access$500(Unknown Source)
	at java.desktop/java.awt.EventQueue$3.run(Unknown Source)
	at java.desktop/java.awt.EventQueue$3.run(Unknown Source)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.desktop/java.awt.EventQueue$4.run(Unknown Source)
	at java.desktop/java.awt.EventQueue$4.run(Unknown Source)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.desktop/java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.run(Unknown Source)

=== RUNNING THREADS ===
Thread: AWT-EventQueue-0 (22) of main
Stacktrace see above.

Thread: AppKit Thread (14) of system

Thread: TimerQueue (24) of system
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.DelayQueue.take(Unknown Source)
java.desktop@9.0.4/javax.swing.TimerQueue.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Nashorn AST Serializer (41) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.poll(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: AWT-Shutdown (21) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Unknown Source)
java.desktop@9.0.4/sun.awt.AWTAutoShutdown.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Finalizer (3) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.Finalizer$FinalizerThread.run(Unknown Source)

Thread: Java2D Disposer (17) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.desktop@9.0.4/sun.java2d.Disposer.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Timer-0 (40) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: Common-Cleaner (9) of InnocuousThreadGroup
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/jdk.internal.ref.CleanerImpl.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)
java.base@9.0.4/jdk.internal.misc.InnocuousThread.run(Unknown Source)

Thread: Map Status Collector (54) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:433)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Weak reference cleaner (25) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(Unknown Source)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$305/231725600.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: ForkJoinPool.commonPool-worker-3 (35) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: RemoteControl HTTPS Server (47) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/sun.security.ssl.SSLServerSocketImpl.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpsServer.run(RemoteControlHttpsServer.java:404)

Thread: Timer-2 (53) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Unknown Source)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: ForkJoinPool.commonPool-worker-1 (33) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: JCS-ElementEventQueue-Thread-1 (39) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: RemoteControl HTTP Server (44) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: File Watcher (12) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.take(Unknown Source)
java.base@9.0.4/sun.nio.fs.AbstractWatchService.take(Unknown Source)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:107)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$34/1412925683.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: process reaper (20) of system
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(Unknown Source)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.transfer(Unknown Source)
java.base@9.0.4/java.util.concurrent.SynchronousQueue.poll(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: RemoteControl HTTPS Server (46) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/sun.security.ssl.SSLServerSocketImpl.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpsServer.run(RemoteControlHttpsServer.java:404)

Thread: Signal Dispatcher (4) of system

Thread: Nashorn AST Serializer (42) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.pollFirst(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.poll(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: DestroyJavaVM (52) of main

Thread: RemoteControl HTTP Server (45) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.implAccept(Unknown Source)
java.base@9.0.4/java.net.ServerSocket.accept(Unknown Source)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: styled-map-renderer-0 (55) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: Java2D Queue Flusher (16) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.desktop@9.0.4/sun.java2d.opengl.OGLRenderQueue$QueueFlusher.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Timer-1 (48) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.util.TimerThread.mainLoop(Unknown Source)
java.base@9.0.4/java.util.TimerThread.run(Unknown Source)

Thread: ForkJoinPool.commonPool-worker-2 (34) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source)

Thread: message-notifier-0 (51) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Thread: Reference Handler (2) of system
java.base@9.0.4/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@9.0.4/java.lang.ref.Reference.processPendingReferences(Unknown Source)
java.base@9.0.4/java.lang.ref.Reference.access$000(Unknown Source)
java.base@9.0.4/java.lang.ref.Reference$ReferenceHandler.run(Unknown Source)

Thread: image-fetcher-0 (32) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(Unknown Source)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(Unknown Source)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Unknown Source)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.